## FlatpakTransactionOperation FlatpakTransactionOperation — Operation in a transaction |

## Functions

GFile * | flatpak_transaction_operation_get_bundle_path ()
const char * | flatpak_transaction_operation_get_commit ()
FlatpakTransactionOperationType | flatpak_transaction_operation_get_operation_type ()
const char * | flatpak_transaction_operation_get_ref ()
const char * | flatpak_transaction_operation_get_remote ()
GKeyFile * | flatpak_transaction_operation_get_metadata ()
GKeyFile * | flatpak_transaction_operation_get_old_metadata ()
const char * | flatpak_transaction_operation_type_to_string ()

## Types and Values

| FlatpakTransactionOperation

## Object Hierarchy

        GObject
        ╰── FlatpakTransactionOperation

## Description

FlatpakTransactionOperation is an object that represents a single operation in a transaction. You receive a FlatpakTransactionOperation object with the “new-operation” signal.

## Functions

### flatpak_transaction_operation_get_bundle_path ()

    GFile *
    flatpak_transaction_operation_get_bundle_path
                                   (FlatpakTransactionOperation *self);

Gets the path to the bundle.

#### Parameters

self | a FlatpakTransactionOperation |

#### Returns

the bundle GFile or `NULL`.

[transfer none]

### flatpak_transaction_operation_get_commit ()

    const char *
    flatpak_transaction_operation_get_commit
                                   (FlatpakTransactionOperation *self);

Gets the commit ID for the operation.

This information is available when the transaction is resolved, i.e. when “ready” is emitted.

#### Parameters

self | a FlatpakTransactionOperation |

#### Returns

the commit ID.

[transfer none]

### flatpak_transaction_operation_get_operation_type ()

    FlatpakTransactionOperationType
    flatpak_transaction_operation_get_operation_type
                                   (FlatpakTransactionOperation *self);

Gets the type of the operation.

#### Parameters

self | a FlatpakTransactionOperation |

#### Returns

the type of operation, as FlatpakTransactionOperationType

### flatpak_transaction_operation_get_ref ()

    const char *
    flatpak_transaction_operation_get_ref (FlatpakTransactionOperation *self);

Gets the ref that the operation applies to.

#### Parameters

self | a FlatpakTransactionOperation |

#### Returns

the ref.

[transfer none]

### flatpak_transaction_operation_get_remote ()

    const char *
    flatpak_transaction_operation_get_remote
                                   (FlatpakTransactionOperation *self);

Gets the remote that the operation applies to.

#### Parameters

self | a FlatpakTransactionOperation |

#### Returns

the remote.

[transfer none]

### flatpak_transaction_operation_get_metadata ()

    GKeyFile *
    flatpak_transaction_operation_get_metadata
                                   (FlatpakTransactionOperation *self);

Gets the metadata that will be applicable when the operation is done.

This can be compared to the current metadata returned by `flatpak_transaction_operation_get_old_metadata()` to find new required permissions and similar changes.

This information is available when the transaction is resolved, i.e. when “ready” is emitted.

#### Parameters

self | a FlatpakTransactionOperation |

#### Returns

the metadata GKeyFile.

[transfer none]

### flatpak_transaction_operation_get_old_metadata ()

    GKeyFile *
    flatpak_transaction_operation_get_old_metadata
                                   (FlatpakTransactionOperation *self);

Gets the metadata current metadata for the ref that `self` works on. Also see `flatpak_transaction_operation_get_metadata()`.

This information is available when the transaction is resolved, i.e. when “ready” is emitted.

#### Parameters

self | a FlatpakTransactionOperation |

#### Returns

the old metadata GKeyFile.

[transfer none]

### flatpak_transaction_operation_type_to_string ()

    const char *
    flatpak_transaction_operation_type_to_string
                                   (FlatpakTransactionOperationType kind);

Converts the operation type to a string.

#### Parameters

kind | a FlatpakTransactionOperationType |

#### Returns

a string representing `kind` .

[transfer none]

## Types and Values

### FlatpakTransactionOperation

    typedef struct _FlatpakTransactionOperation FlatpakTransactionOperation;